Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.maxent
Class Features

    java.lang.Object
      edu.stanford.nlp.maxent.Features

Direct Known Subclasses:
  TaggerFeatures

    public class Features

extends Object

An ArrayList of Feature

Constructor Summary
`Features()`
`Features(String filename, Experiments domain)` reads in the features from a file, having already read the experiments

Method Summary
`void` | `add(Feature m)`
`void` | `clean()`
`Experiments` | `domain()`
`Feature` | `get(int index)`
`void` | `print()`
`void` | `read(String filename)`
`void` | `removeLast()`
`void` | `save(String filename)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Features

    public Features()

### Features

    public Features(String filename,
                    Experiments domain)

  reads in the features from a file, having already read the experiments

Method Detail

### add

    public void add(Feature m)

### removeLast

    public void removeLast()

### get

    public Feature get(int index)

### size

    public int size()

### domain

    public Experiments domain()

### clean

    public void clean()

### print

    public void print()

### save

    public void save(String filename)

### read

    public void read(String filename)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group